GET api/NTPatientScheduling/GetStaffByOnsiteLocation?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfOnsiteStaffDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of OnsiteStaffDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "UserId": 1,
      "UserType": 64,
      "LastName": "Sample String 3",
      "FirstName": "Sample String 4",
      "ValidFlag": true,
      "UserIdentityId": 6,
      "SubServiceId": 7,
      "FullName": "Sample String 4 Sample String 3",
      "CosSubService": "sample string 8"
    },
    {
      "UserId": 1,
      "UserType": 64,
      "LastName": "Sample String 3",
      "FirstName": "Sample String 4",
      "ValidFlag": true,
      "UserIdentityId": 6,
      "SubServiceId": 7,
      "FullName": "Sample String 4 Sample String 3",
      "CosSubService": "sample string 8"
    }
  ],
  "totalCount": 3
}